﻿using System.Windows;

using DevExpress.Xpf.Bars;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Bold 막대 체크 항목 체크 변경시 처리하기 - boldBarCheckItem_CheckChanged(sender, e)

        /// <summary>
        /// Bold 막대 체크 항목 체크 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void boldBarCheckItem_CheckChanged(object sender, ItemClickEventArgs e)
        {
            MessageBox.Show("'Bold' has been clicked: " + (sender as BarCheckItem).IsChecked.ToString());
        }

        #endregion
        #region Exit 막대 버튼 항목 항목 클릭시 처리하기 - exitBarButtonItem_ItemClick(sender, e)

        /// <summary>
        /// Exit 막대 버튼 항목 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void exitBarButtonItem_ItemClick(object sender, ItemClickEventArgs e)
        {
            MessageBox.Show("'Exit' has been clicked");
        }

        #endregion
    }
}